<?php
namespace Claromentis\People\Import;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_31767d7ad58e706dbf4" . "7b7a51a0fe6c4" => base64_decode("Y291bnQ" . "="), "_3303c3b061" . "a8a8b7cbb71" . "9f29dbfe632" => base64_decode("Tm90IGltcGx" . "lbWVudGVk"));
class ImportCSVList implements \Iterator, \Countable
{
    
    
    
    
    protected $importer;
    protected $csv_data;
    protected $index;
    public function SetCSVData($data)
    {
        $this->csv_data = $data;
        $this->index = 0;
    }
    public function GetRaw()
    {
        return $this->csv_data;
    }
    public function SetUsersImporter($_586cceef9738476b77f512ed8beccc69)
    {
        $this->importer = $_586cceef9738476b77f512ed8beccc69;
    }
    
    
    
    
    
    
    
    
    public function current()
    {
        $row = $this->csv_data[$this->index];
        $_24e0e36600d6af77406a44bb618a6253 = $this->importer->InitUserFromCSVRow($row);
        return $_24e0e36600d6af77406a44bb618a6253;
    }
    
    
    
    
    
    
    
    public function next()
    {
        ++$this->index;
    }
    
    
    
    
    
    
    
    public function key()
    {
        return $this->index;
    }
    
    
    
    
    
    
    
    
    public function valid()
    {
        return isset($this->csv_data[$this->index]);
    }
    
    
    
    
    
    
    
    
    
    public function rewind()
    {
        if ($this->index !== 0) {
            throw new \RuntimeException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_3303c3b061a8a8b7" . "cbb719f29dbfe632"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function count()
    {
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_31767d7ad58e706dbf47b" . "7a51a0fe6c4"]($this->csv_data);
    }
}